org.springframework.messaging.handler.annotation

## Annotation Type SendTo

    @Target(value={TYPE,METHOD})
     @Retention(value=RUNTIME)
     @Documented
    public @interface SendTo

Annotation that indicates a method's return value should be converted to a `Message` if necessary and sent to the specified destination.

In a typical request/reply scenario, the incoming `Message` may convey the destination to use for the reply. In that case, that destination should take precedence.

This annotation may be placed class-level in which case it is inherited by methods of the class.

Since:
  4.0
Author:
  Rossen Stoyanchev, Stephane Nicoll

### Optional Element Summary

Optional Elements
`String[]` `value` The destination for a message created from the return value of a method.

### Element Detail

#### value

    public abstract String[] value

The destination for a message created from the return value of a method.

Default:
  {}